Bug 824301 - git log --since=<date> misses some commits
git log --since=<date> misses some commits
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: git (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ondrej Oprala
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 04:36 EDT by Petr Šplíchal
Modified: 2016-05-31 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-22 10:42:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-05-23 04:36:48 EDT
Description of problem:

Limiting the list of commits in git log using --since and --until
by specifying date only (no time) sometimes results in omitting
some of the commits.

Version-Release number of selected component (if applicable):
git-1.7.1-2.el6_0.1.x86_64

Steps to Reproduce:
$ git log --since=2012-05-22 --format='%h - %cd'
1ebc07c - Wed May 23 10:09:21 2012 +0200
48f5fd5 - Wed May 23 08:57:12 2012 +0200
e1496e3 - Wed May 23 08:31:22 2012 +0200
a164f9b - Tue May 22 11:07:56 2012 +0200
$ git log --since=2012-05-23 --format='%h - %cd'

Actual results:
<nothing>

Expected results:
1ebc07c - Wed May 23 10:09:21 2012 +0200
48f5fd5 - Wed May 23 08:57:12 2012 +0200
e1496e3 - Wed May 23 08:31:22 2012 +0200

Additional info:
LANG=C date
Wed May 23 10:32:39 CEST 2012

Works fine when exact time is specified:
git log --since='2012-05-23 00:00:00' --format='%h - %cd'
Comment 1 RHEL Product and Program Management 2012-07-10 04:51:29 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:17:09 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 RHEL Product and Program Management 2012-09-07 01:38:14 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2013-10-13 20:39:23 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 Ondrej Oprala 2014-05-26 08:49:47 EDT
Can you specify the repo, where this is reproducible?
Thanks

Note You need to log in before you can comment on or make changes to this bug.